const http = require('http')
const express = require('express')
const bodyParser = require('body-parser')
const compression = require('compression')
var cors = require('cors')
const logger = require('./src/utils/logging/logger').getLogger('index')
const initApi = require('./initApi')
require('dotenv').config()

const DEFAULT_PORT = 3001
const API_BASE_PATH = '/v1/api'

const app = express()
const port = process.env.PORT || DEFAULT_PORT

app.use(compression())
app.use(cors())

// parse incoming requests
app.use(bodyParser.json())
app.use(bodyParser.urlencoded({
    extended: false
}))

initApi(app, API_BASE_PATH)

const server = http.createServer(app)

server.listen(port, (err) => {
    if (err) {
        throw err
    }
    logger.info(`running the server on ${API_BASE_PATH}:${port}`)
})
