// const yaml = require('js-yaml')
const path = require('path')

// const {INetworkConfig} = require('./typings')


function updateConfigPaths (config, basePath) {
  return Object.keys(config).reduce((acc, key) => {
    if (key === 'path') {
      const p = config[key]
      acc[key] = p.startsWith('/') ? p : path.resolve(basePath, p)
    } else if (typeof config[key] === 'object') {
      acc[key] = updateConfigPaths(config[key], basePath)
    }

    return acc
  }, config)
}


// const dev = process.env.NODE_ENV === 'development'
const networkBasePath = path.resolve(
  __dirname
)
// Yaml
// const networkConfigPath = path.resolve(networkBasePath, 'network.yaml')
// const rawNetworkConfigString = fs.readFileSync(networkConfigPath, 'utf8')
// const rawNetworkConfigObj = yaml.safeLoad(rawNetworkConfigString)

// JSON
const rawNetworkConfigObj = require('./network.json')

const networkConfig = updateConfigPaths(rawNetworkConfigObj, networkBasePath) // INetworkConfig

module.exports = networkConfig
