/**
 * Middleware to disable caching on all requeset
 * @param {Object} router Router
 */
module.exports = function noCache(router) {
    router.use((req, res, next) => {
        res.setHeader('Cache-Control', 'no-store')
        res.setHeader('Pragma', 'no-cache')
        res.setHeader('Expires', '0')

        return next()
    })
}
