#!/bin/bash

if test "$#" -ne 2; then
   echo "usage: init.sh <project_folder> <chaincode_folder>"
   exit 2
fi

project_folder=$1
chaincode_folder=$2

config_file=$project_folder/network.yaml

rm -rf hlf-kube/chaincode
mkdir -p hlf-kube/chaincode

chaincodes=$(yq read $config_file "network.chaincodes[0].name")

for chaincode in $chaincodes; do
  echo "creating hlf-kube/chaincode/$chaincode.tar"

  [ -d "$chaincode_folder/serums/node_modules" ] && mv "$chaincode_folder/serums/node_modules" "/tmp/node_modules_serums"

 #tar --exclude-from="$chaincode_folder/$chaincode/.gitignore" -czf hlf-kube/chaincode/$chaincode.tar -C $chaincode_folder $chaincode/
  tar -czf hlf-kube/chaincode/$chaincode.tar -C $chaincode_folder $chaincode/
  [ -d "/tmp/node_modules_serums" ] && mv "/tmp/node_modules_serums" "$chaincode_folder/serums/node_modules"
done

exit 0
